## org.w3c.jigadmin.editors
Interface EditorInterface

All Known Subinterfaces:
  ServerEditorInterface, ServerHelperInterface

public interface EditorInterface

Method Summary
`java.awt.Component` `getComponent()` Get the Component.
`void` `initialize(java.lang.String name, RemoteResourceWrapper rrw, java.util.Properties p)` Initialize this editor.

Method Detail

### initialize

    public void initialize(java.lang.String name,
                           RemoteResourceWrapper rrw,
                           java.util.Properties p)

  Initialize this editor.
  Parameters:
    `name` - the editor name
    `rrw` - the RemoteResourceWrapper wrapping the editor node.
    `p` - the editor properties

### getComponent

    public java.awt.Component getComponent()

  Get the Component.
  Returns:
    a Component instance